package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ProductPrice;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ProductPriceMapper")
public interface ProductPriceMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ProductPrice record);

    ProductPrice selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ProductPrice record);

    List<ProductPrice> queryAllProductPrice(ProductPrice record);

    List<ProductPrice> queryProductPriceByPage(Map<String, Object> parameter);

    int delete(String id);

    ProductPrice queryProductPrice(ProductPrice record);

    List<ProductPrice> query(ProductPrice record);
}

